function ud = lsgt2_2_1(r,is,ut)
% ud = lsgt2_2_1(r,is,ut)
% Lsung zur Aufgabe T2/2.1
% Es wird die Serienschaltung von Widerstand r mit einer 
% Halbleiterdiode an der Betriebsspannung u0 betrachtet. 
% Zu berechnen ist die Spannung an der Diode in Abhngigkeit 
% von der Betriebspannung im Bereich 0 <= u0 <= 10 V,
% insbesondere fr u0 = [2.5  5  10] V.
% is :  Sperrsttigungsstrom der Diode (Si: 10^-14 A)
% ut :  Temperaturspannung (Si:  0.025 V)
% r  :  Widerstand (1000 Ohm)
% Ausgegeben wird die Diodenspannung fr die 3 Betriebsspannungen.
% Die Abhngigkeit der Diodenspannung von der Betriebsspannung 
% wird graphisch dargestellt.
%
% Lsungsweg:
% Aus der Knotenregel folgt  (1):  id = ir
% Aus der Maschenregel folgt (2):  ud + ur = u0
% Verhalten des Widerstands  (3):  ur = r*ir
% Verhalten der Diode        (4):  id = is*(exp(ud/ut)-1)
% (1,3,4) in (2) eingesetzt:       ud + r*is*(exp(ud/ut)-1) = u0
% Diese nichtlineare Gleichung ist zu lsen.

% Autor: Klaus von der Heide, e-mail:  v.d.heide@on-line.de

% Defaultwerte (in der Aufgabe angegebene Werte)
% ==============================================
if nargin<1   r = 1000;   end
if nargin<2  is = 10^-14; end
if nargin<3  ut = 0.025;  end
u0 = [2.5  5  10];             % drei Betriebsspannungen

% Symbolische Lsung
% ==================
syms uud rr iis uut;           % symbolische Variable 
fkt = solve('uud + rr*iis*(exp(uud/uut)-1) = uu0','uud');

% Numerische Auswertung
% =====================
iis = is;
uut = ut;
rr  = r;
for k=1:length(u0) uu0=u0(k); ud(k)=eval(fkt); end
u0  = 0:0.2:10;                % Bereich der Betriebsspannung
for k=1:length(u0) uu0=u0(k); udg(k)=eval(fkt); end

% Graphik
% =======
figure
plot(u0,udg)
xlabel('Betriebsspannung [V]','FontSize',12)
ylabel('Diodenspannung [V]','FontSize',12)
