function s = purr(uu1,rr2,rr3)
% s = purr(uu1,rr2,rr3)
% Parallelschaltung von Spannungsquelle und zwei Widerstnden

if nargin<3 rr3 = 1000; end
if nargin<2 rr2 =  200; end
if nargin<1 uu1 =    5; end

syms u1 r2 r3                            % symbolische Variable
   
%    u1    i1    u2    i2    u3    i3    % Spaltenzuordnung

a = [ 1,    0,    0,    0,    0,    0;   % Spannungsquelle
      0,    0,    1,  -r2,    0,    0;   % Widerstand 1
      0,    0,    0,    0,    1,  -r3;   % Widerstand 2
      1,    0,   -1,    0,    0,    0;   % Masche 1
      0,    0,    1,    0,   -1,    0;   % Masche 2
      0,   -1,    0,    1,    0,    1]   % Knoten
   
b = [ u1;                                % Spannung
       0;
       0;
       0;
       0;
       0]
   
x = (a^-1)*b                             % Lsung
   
u1 = uu1;                                % Zuweisung
r2 = rr2;                                % aktueller
r3 = rr3;                                % Werte

y = eval(x);                             % numerische Werte

for k=1:3
   s(k,:) = sprintf('U%d=%+5.3f V   I%d=%+4.3f A\n',k,y(2*k-1),k,y(2*k));
end