%
%
%3.3  MOS-Transistor %<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%
% Der Metall-Oxid-Silizium(MOS)-Transistor ist ein Kondensator, dessen eine Platte das 
% Gate (aus Metall oder Polysilizium) darstellt und dessen andere Platte ein Halbleiter, 
% der sogenannte Kanal ist.  Die grundstzliche Idee besteht darin, dass durch Anlegung 
% einer Spannung an einen Kondensator sich auf den Innenseiten der Kondensatorplatten 
% Ladungen sammeln nach
%
% {\fontname{Courier}Q = C U}
%
% Wenn diese Ladungen im Material der Kondensatorplatte frei beweglich sind, sollten 
% diese zustzlichen Ladungen zur Leitfhigkeit der Kondensatorplatte beitragen.  Der 
% Widerstand lngs durch die Kondensatorplatte sollte also von der Kondensatorspannung 
% abhngen.  Dass ist bei Metallplatten allerdings praktisch nicht messbar, weil der Anteil 
% der zustzlichen Ladungstrger gegenber den ohnehin freien Ladungstrgern sehr 
% klein ist.  Anders ist dies beim undotierten Halbleiter.  Die Anzahl der Elektron-
% Loch-Paare ist bei Raumtemperatur ausserordentlich gering.  Jedes durch Influenz im 
% Kondensator erzeugte Elektron (oder Loch) ist wie im Metall frei beweglich.  Daher 
% ist die Leitfhigkeit einer Kondensatorplatte aus Halbleitermaterial sehr gut durch die 
% Kondensatorspannung steuerbar.
%
% Die prinzipielle Anordnung zeigt das folgende Bild:
%
%
%% B2/II.7.12
%
%
% Die Kapazitt des Kondensators ist
%
% {\fontname{Courier}C = \epsilon\epsilon_0 LW/D}
%
% Bei Anlegen der positiven Spannung  {\fontname{Courier}U_{GS}}  wird die Ladung im Kanal
%
% {\fontname{Courier}Q_n = - C U_{GS}}
%
% Ist der Kanal von vornherein mit Akzeptoren, z.B. Bor, der Gesamtmenge  {\fontname{Courier}Q_P}  dotiert, 
% so ist die Menge der freien Ladungen
%
% {\fontname{Courier}Q_{frei} = Q_n - Q_P = C U_{GS} - Q_P = C (U_{GS} - U_{Th})}
%
% Hier wurde die Schwellenspannung  {\fontname{Courier}U_{Th} = Q_P/C}  eingefhrt.  Das folgende Bild veranschaulicht 
% die Situation.  Ist  {\fontname{Courier}U_{GS}<U_{Th}} , so liegt eine Lcherleitung vor.  Im Falle  {\fontname{Courier}U_{GS}>U_{Th}}  spricht man von 
% Inversion, weil der P-dotierte Halbleiter nun eine Elektronenleitung aufweist:
%
%
%
fh  = fullscreen('Ladungen');
line([-2 0; +4 0],[0 -3.5; 0 +3.5],'Color','k')
line([-2 +1],[+3 0],'Color','b','LineWidth',2)
line([+1 +4],[0 -3],'Color','r','LineWidth',2)
xlabel('U_{GS}  [V]','FontSize',13)
ylabel('freie Ladung','FontSize',13)
title('Freie Ladung im Kanal des MOS-Transistors','FontSize',15)
text(0.5,-1.5,'Inversion: Elektronen','FontSize',15,'Color','r')
text(-1.5,+1.5,'Lcher','FontSize',15,'Color','b')
text(0.95,0.2,'U_{Th}','FontSize',15,'Color','b')
text(0.03,1.04,'Q_P','FontSize',15,'Color','b')
axis([-2 +4 -3.5 +3.5])
%
% Legt man an den Kanal die Spannung  {\fontname{Courier}U_{DS}}  an, so werden die freien Ladungen mit 
% einer zur Feldstrke  {\fontname{Courier}E = U_{DS}/L}  proportionalen Geschwindigkeit  {\fontname{Courier}v}  durch den 
% Kanal der Lnge  {\fontname{Courier}L}  wandern:
%
% {\fontname{Courier}v = \mu U_{DS}/L}
%
% Die Proportionalittskonstante  {\fontname{Courier}\mu}  heisst Beweglichkeit.  Sie ist verschieden fr Elektronen 
% und Lcher und hngt von (strenden) Dotierungen ab.  Zum Durchlauf der gesamten 
% Kanallnge  {\fontname{Courier}L}  wird die Transitzeit  {\fontname{Courier}\tau = v/L}  bentigt.  Der Kanalstrom ist dann
%
% {\fontname{Courier}I_D = Q_{frei}/\tau = Q_{frei} v/L = (\mu/L^2) Q_{frei} U_{DS}}
%
% Mit der oben ermittelten Beziehung fr  {\fontname{Courier}Q_{frei}}  ergibt sich schliesslich
%
% {\fontname{Courier}I_D = \epsilon\epsilon_0\mu (W/LD) (U_{GS} - U_{Th}) U_{DS}}
%
% Dieser Ausdruck besteht aus drei Anteilen:  
% (1)  Natur- und Materialkonstanten
% (2)  Abmessungen der Geometrie des Transistors
% (3)  aktuelle Spannungen
%
% Dieser Ausdruck gilt nur fr sehr kleine Spannungen  {\fontname{Courier}U_{DS}} .  Andernfalls ist nmlich die 
% Spannung zwischen Gate und Kanal an der Drain-Seite anders als auf der Source-Seite.  
% Um einen Ausdruck zu bekommen, der auch fr grssere  {\fontname{Courier}U_{DS}}  gilt, zerlegen wir den 
% MOS-Transitor lngs des Kanals in Teiltransistoren mit der Kanallnge  {\fontname{Courier}\Deltax}  und der 
% Source-Spannung  {\fontname{Courier}U_x} , der Gate-Source-Spannung  {\fontname{Courier}U_{Gx} = U_{GS} - U_x} und der Drain-
% Source-Spannung  {\fontname{Courier}\DeltaU_x} .   Beim Grenzbergang zu infinitesimalem  {\fontname{Courier}\Deltax}  gilt die obige 
% Beziehung fr alle Teiltransistoren.  Wir erhalten dann
%
% {\fontname{Courier}I_D = \epsilon\epsilon_0\mu (W/D) (U_{GS} - U_{Th} - U_x) * dU_x/dx}
%
% Zur Lsung dieser Differentialgleichung setzen wir die am Ort  {\fontname{Courier}x}  wirkende Spannung 
% zwischen Gate und Kanal zu
%
% {\fontname{Courier}y = U_{GS} - U_{Th} - U_x}
%
% und erhalten mit  {\fontname{Courier}dy/dx = -dU_x/dx}
%
% {\fontname{Courier}y dy/dx = -I_D / (\epsilon\epsilon_0\mu (W/D)) = k}
%
% Die symbolische Lsung ist
%
syms x y k
y = dsolve('y*Dy=k','x')
%
% Wir interessieren uns nicht fr den aktuellen Verlauf der Spannungen lngs des Kanals 
% sondern nur fr die Verhltnisse am Ende  {\fontname{Courier}x = L}  des Kanals.  Dort ist  {\fontname{Courier}U_x(L) = U_{DS}} .
% Alles wieder in die Lsung  {\fontname{Courier}(2*k*x+C1)^{1/2}}  eingesetzt ergibt sich:
%
% {\fontname{Courier}(U_{GS} - U_{Th} - U_x)^2 = -2 I_D L / (\epsilon\epsilon_0\mu (W/D)) + C1}
%
% Mit der Bedingung  {\fontname{Courier}I_D(U_{DS}=0) = 0}  erhlt man daraus  {\fontname{Courier}C1 = (U_{GS} - U_{Th})^2}
%
% und damit schliesslich durch Auflsung nach  {\fontname{Courier}I_D} :
%
% {\fontname{Courier}I_D = \epsilon\epsilon_0\mu (W/LD) [ (U_{GS} - U_{Th}) U_{DS} - 1/2 U_{DS}^2 ]}
%
% Diese Lsung ist jedoch nur gltig fr den Fall, dass der Ausdruck  {\fontname{Courier}(2*k*x+C1)^{1/2}}  
% nicht imaginr wird.  Das ist nur fr  {\fontname{Courier}U_{DS} \leq U_{GS} - U_{Th}}  gegeben.
%
% Die Abhngigkeit des Drainstromes von der Drain-Source-Spannung ist damit:
%
%
uth = 1.0;       % Schwellspannung
ugs = 0:1:5;     % Steuerspannung
c   = 10;        % Konstante
for j=1:length(ugs)  uds{j} = 0:0.02:(ugs(j)-uth); end
fh  = fullscreen('MOS');
for j=1:length(ugs)  line(uds{j},c*((ugs(j)-uth)*uds{j}-0.5*uds{j}.^2)); end
for j=3:length(ugs)  text(uds{j}(end)-0.2,c*(0.15+(ugs(j)-uth)*uds{j}(end)-0.5*uds{j}(end).^2),['U_{GS}=' num2str(ugs(j)) 'V']); end
line(uds{end},c*0.5*uds{end}.^2,'Color','r','LineStyle',':')
xlabel('U_{DS}  [V]','FontSize',13)
ylabel('I_D  [mA]','FontSize',13)
title('Ausgangskennlinie des MOS-Transistors','FontSize',13)
axis([0 5 0 83])
%
% Eine Lsung fr grssere  {\fontname{Courier}U_{DS}}  gewinnt man durch folgende berlegung:
% An der rot strichlierten Grenze in der obigen Abbildung wird am Drain-seitigen Ende 
% des Kanals gerade die Situation erreicht, dass keine freien Ladungstrger durch Influenz 
% erzeugt werden.  Punktuell ist also keine Leitfhigkeit vorhanden.  Deshalb kann an 
% diesem Punkt der Spannungsabfall beliebig sein.  Eine weitere Erhhung der  {\fontname{Courier}U_{DS}}  
% wird deshalb den Strom nicht vergrssern.  Man sagt:  der Kanal ist abgeschnrt.  
% Die rot strichlierte Grenze heisst Abschnrgrenze.  In der Praxis kommt es bei 
% zu hohen Spannungen natrlich wegen der ausserordentlichen Feldstrke am 
% Drain-seitigen Ende des Kanals zu Durchbrchen.  Im Gegensatz zum Gate-Kanal-
% Durchbruch, der immer irreversibel ist, kann dieser unschdlich sein, solange der 
% Kristall nicht thermisch Schaden nimmt.
%
uth = 1.0;       % Schwellspannung
ugs = 0:1:5;     % Steuerspannung
c   = 10;        % Konstante
for j=1:length(ugs)  uds{j} = 0:0.02:(ugs(j)-uth); end
fh  = fullscreen('MOS');
for j=1:length(ugs)  line(uds{j},c*((ugs(j)-uth)*uds{j}-0.5*uds{j}.^2)); end
for j=2:length(ugs)  text(4.1,c*(0.15+(ugs(j)-uth)*uds{j}(end)-0.5*uds{j}(end).^2),['U_{GS}=' num2str(ugs(j)) 'V']); end
for j=2:length(ugs)  line([uds{j}(end) ugs(end)],c*((ugs(j)-uth)*uds{j}(end)-0.5*uds{j}(end).^2)*[1 1]); end
line(uds{end},c*0.5*uds{end}.^2,'Color','r','LineStyle',':')
xlabel('U_{DS}  [V]','FontSize',13)
ylabel('I_D  [mA]','FontSize',13)
title('Ausgangskennlinie des MOS-Transistors','FontSize',15)
text(2.15,c*2.5,'Abschnrgrenze','FontSize',15,'Color','r','Rotation',48)
text(1.7,c*5,'Widerstandsbereich','FontSize',15,'Color','b')
text(3.5,c*3,'Abschnrbereich','FontSize',15,'Color','b')
axis([0 5 0 83])
%
% Im Abschnrbereich gilt also einfach
%
% {\fontname{Courier}I_D = 0.5 \epsilon\epsilon_0\mu (W/LD) (U_{GS} - U_{Th})^2}
%
% Das hier behandelte Modell stellt trotz seiner Einfachheit das wesentliche Verhalten 
% des MOS-Transistors dar.  Das Verhalten realer Transistoren weicht davon nur in Details 
% ab.  Z.B. steigen die Ausgangskennlinien auch im Abschnrbereich noch leicht an.
%
%
% Ein wesentliches Detail der Realisierung von MOS-Transistoren wurde bislang noch nicht 
% angesprochen:  Die bisherige Betrachtung geht aus von einer Leitung durch Elektronen 
% im Falle der durch die Gate-Source-Spannung verursachten Inversion und von Lcherleitung 
% sonst.  Die Anschlsse an den Kanal werden jedoch durch stark N-dotierte Gebiete in dem 
% schwach P-dotierten Wafer realisiert (Source und Drain).  Ohne Ausbildung der Inversion 
% besteht die Verbindung zwischen Source und Drain aus der Serienschaltung zweier gegen-
% einander gepolter Dioden.  Ein Drainstrom kann also nur im Falle der Inversion fliessen.
% Zwar hat der Kanal bei  {\fontname{Courier}U_{GS}<U_{Th}}  eine gute Leitfhigkeit durch freie Lcher,
% aber er ist dann auf einer der beiden Seiten durch die Halbleitersperrschicht vom Anschluss 
% getrennt.
%
% Komplementr kann man Source und Drain als stark P-dotierte Gebiete in einem schwach 
% N_dotierten Wafer realisieren.  Man spricht dann von einem P-Kanal-Transistor.
%
% Wird der Kanal im schwach P-dotierten Wafer in einer dnnen Oberflchenschicht schwach 
% N-dotiert, so besteht die Inversion schon bei  {\fontname{Courier}U_{GS}=0} .  Da der Transistor 
% schon bei verschwindender Steuerspannung leitet, spricht man von einem selbstleitenden 
% Transistor.  In diesem Fall ist die Schwellenspannung negativ, und man muss man mit 
% negativer Steuerspannung unter dieser Schwellenspannung arbeiten, um den Transistor zu 
% sperren.  Die Inversion ist durch folgendes Bild veranschaulicht:
%
fh  = fullscreen('Ladungen');
line([-2 0; +4 0],[0 -5.5; 0 +1.5],'Color','k')
line([-2 -1],[+1 0],'Color','b','LineWidth',2)
line([-1 +4],[0 -5],'Color','r','LineWidth',2)
xlabel('U_{GS}  [V]','FontSize',13)
ylabel('freie Ladung','FontSize',13)
title('Freie Ladung im Kanal des MOS-Transistors','FontSize',15)
text(0.5,-1,'Inversion: Elektronen','FontSize',15,'Color','r')
text(-1.5,1,'Lcher','FontSize',15,'Color','b')
text(-1,0.2,'U_{Th}','FontSize',15,'Color','b')
text(0.03,-0.96,'Q_P','FontSize',15,'Color','b')
axis([-2 +4 -5.5 +1.5])
%
% Das Ausgangskennlinienfeld des selbstleitenden MOS-Transistors unterscheidet sich nur 
% durch den Parameter  {\fontname{Courier}U_{GS}}  von dem des selbstsperrenden Transistors:
%
uth = -1.0;      % negative Schwellspannung
ugs = uth-1:1:4; % Steuerspannung
c   = 10;        % Konstante
udsm= 10;
for j=1:length(ugs)  uds{j} = 0:0.02:(ugs(j)-uth); end
fh  = fullscreen('MOS');
for j=1:length(ugs)  line(uds{j},c*((ugs(j)-uth)*uds{j}-0.5*uds{j}.^2)); end
for j=2:length(ugs)  text(0.82*udsm,c*(0.15+(ugs(j)-uth)*uds{j}(end)-0.5*uds{j}(end).^2),['U_{GS}=' num2str(ugs(j)) 'V']); end
for j=2:length(ugs)  line([uds{j}(end) udsm],c*((ugs(j)-uth)*uds{j}(end)-0.5*uds{j}(end).^2)*[1 1]); end
line(uds{end},c*0.5*uds{end}.^2,'Color','r','LineStyle',':')
xlabel('U_{DS}  [V]','FontSize',13)
ylabel('I_D  [mA]','FontSize',13)
title('Ausgangskennlinie eines selbstleitenden MOS-Transistors','FontSize',15)
text(2.15,c*2.5,'Abschnrgrenze','FontSize',15,'Color','r','Rotation',55)
text(1.5,c*10,'Widerstandsbereich','FontSize',15,'Color','b')
%
