%
%
%3.4  Verstrker %<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%
% Die folgende Abbildung zeigt das prinzipielle Schaltbild eines Spannungsverstrkers:
%
mosamp
%
% Hierin bedeuten:
%
% {\fontname{Courier}U_0}  die konstante Betriebsspannung
% {\fontname{Courier}U_x}  die zu verstrkende Eingangsspannung
% {\fontname{Courier}U_y}  die Ausgangsspannung des Verstrkers
% {\fontname{Courier}A}  ist das aktive verstrkende Element (z.B. Rhre, Bipolartransistor, MOS-Transistor)
% {\fontname{Courier}B}  ist ein passives Element (z.B. Widerstand)
%
% Offenbar gilt:
%
% U_A + U_B = U_0    %<'FontName',MSVFORMFONT>
%
% U_y = U_A          %<'FontName',MSVFORMFONT>
%
% und unter der Annahme, dass bei  {\fontname{Courier}U_y}  kein Strom abfliesst:
%
% I_A = I_B          %<'FontName',MSVFORMFONT>
%
% Ist  {\fontname{Courier}A}  ein MOS-Transistor und  {\fontname{Courier}B}  ein Widerstand mit dem Widerstandswert  {\fontname{Courier}R} , so gilt
%
% I_B = U_B/R        %<'FontName',MSVFORMFONT>
% I_A = 0                                         fr  U_{GS} < U_{Th}  %<'FontName',MSVFORMFONT>
% I_A = I_D = 0.5 \epsilon\epsilon_0\mu (W/LD) (U_{GS} - U_{Th})^2          fr  U_{DS} > U_{GS}-U_{Th} %<'FontName',MSVFORMFONT>
% I_A = \epsilon\epsilon_0\mu (W/LD) [ (U_{GS} - U_{Th}) U_{DS} - 1/2 U_{DS}^2 ]  sonst  %<'FontName',MSVFORMFONT>
%
% Nach Einsetzen in obige Beziehungen erhlt man die Ausgangsspannung  {\fontname{Courier}U_y}  als Funktion 
% der Eingangsspannung  {\fontname{Courier}U_x}  fr die drei Bereiche:
%
% U_y = U_0                                            fr  U_x<U_{Th}      %<'FontName',MSVFORMFONT>
% U_y = U_0 - R 0.5 \epsilon\epsilon_0\mu (W/LD) (U_x - U_{Th})^2             fr  U_y > U_x-U_{Th} %<'FontName',MSVFORMFONT>
% U_y = U_0 - R \epsilon\epsilon_0\mu (W/LD) [ (U_x - U_{Th}) U_y - 1/2 U_y^2 ]  sonst  %<'FontName',MSVFORMFONT>
%
% Der Verlauf der Ausgangsspannung als Funktion der Eingangsspannung, die sogenannte 
% Transfercharakteristik ist in folgendem Bild dargestellt:
%
transferchar(5,1.0,10^5,10^-4)
%
%% Variieren Sie folgende Parameter:  Betriebsspannung, Schwellenspannung, Widerstand !
%
%
% Widerstnde bentigen auf der Chipflche sehr viel kostbaren Platz.  Deshalb werden sie 
% wo mglich ersetzt durch selbstleitende MOS-Transistoren.  Dies ist in der Funktion 
% {\fontname{Courier}inverterchar}  simuliert:
%
inverterchar(2.5,0.8,-1,10^-7,10^-7)
%
%% Variieren Sie folgende Parameter:  Betriebsspannung, Schwellenspannung des Schalttransistors,
%% Schwellenspannung des Schalttransistors, Konstanten der beiden Transistoren !
%
% Soll der Verstrker als logischer Inverter eingesetzt werden, so muss er folgende 
% Bedingungen erfllen:
%
% {\fontname{Courier}U_y(x) \in [g_1 u_0]  \forall  x \in [0 g_0]}  und  {\fontname{Courier}U_y(x) \in [0 g_0]  \forall  x \in [g_1 u_0]}
%
% Hierin sind die Spannungsintervalle  {\fontname{Courier}[0 g_0]}  und  {\fontname{Courier}[g_1 u_0]}  die mglichen Reprsentationen 
% der logischen  {\fontname{Courier}0}  bzw.  {\fontname{Courier}1} .  Die beiden Intervallgrenzen sind 
% auch Parameter der Funktion:
%
help inverterchar
%
inverterchar(2.5,0.8,-1,10^-7,10^-8,0.7)
%
inverterchar(2.5,0.8,-1,10^-7,10^-9,0.7)
%
% Die Transfercharakteristik des Inverters darf nicht durch die rosa gefrbten Bereiche in 
% den Abbildungen fhren.  Der folgende Fall ist also zulssig:
%
inverterchar(2.5,0.5,-1,10^-7,10^-8,0.7)
%
% nicht aber:
%
inverterchar(2.5,0.3,-1,10^-7,10^-8,0.7)
%
inverterchar(2.5,1.0,-1,10^-7,10^-7,0.7)
%