%
%
%9.1  Diskretisierung des Zeitbereiches%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE-8,'Color',MSVTITLCOLOR>%
%
%
%
%  Die bislang betrachteten zeitkontinuierlichen Signale  {\fontname{Courier}s(t)}  mssen zur numerischen 
%  Verarbeitung in eine Folge zeitdiskreter Abtastwerte gewandelt werden. Von grsster 
%  Wichtigkeit ist dabei die Frage nach dem zeitlichen Abstand der Abtastwerte, denn 
%  der Rechenaufwand ist proportional zur Abtastrate. Es gilt
%
%  {\fontname{Courier}Abtastrate = Abtastfrequenz = 1/Abstand der Abtastungen}
%
%  Die MATLAB-Funktion  {\fontname{Courier}fktabtast(tmax,fs,fkt)}  stellt die Abtastung anschaulich dar:  
%  Abtastung der als String  {\fontname{Courier}fkt}  anzugebenden Funktion im Zeitbereich  {\fontname{Courier}t = 0..tmax}  
%  mit der Abtastrate {\fontname{Courier}fs}.  Die freie Zeitvariable in der Funktion ist dabei {\fontname{Courier}t}.  Die Abtastung 
%  erfolgt im Wertebereich  {\fontname{Courier}-1 ... +1}.
%
%  Jetzt wird die Abtastrate variiert:
%
fktabtast(5,10,'0.2*(cos(2*pi*0.7*t)+0.8*sin(2*pi*0.9*t))');
%
fktabtast(5,2,'0.2*(cos(2*pi*0.7*t)+0.8*sin(2*pi*0.9*t))');
%
fktabtast(5,0.5,'0.2*(cos(2*pi*0.7*t)+0.8*sin(2*pi*0.9*t))');
%
%  Welche der gezeigten Abtastraten ist ausreichend?  Es wird sich zeigen, dass die 
%  zweite alle Information enthlt, also genauso gut wie die erste ist.  Die dritte ist 
%  aber unbrauchbar.
%
%  Wir werden dieses Problem in diesem Abschnitt anschaulich mithilfe von Sinus-
%  Schwingungen erlutern.  Es wird im Abschnitt 9.3 eingehender behandelt.
%
%  quidistante Abtastwerte einer Sinusschwingung knnen immer durch unendlich viele 
%  Sinusschwingungen mit anderer Frequenz interpretiert werden.  Dies veranschaulicht 
%  die MATLAB-Funktion  {\fontname{Courier}abtast(fs,f)} , die eine Sinusschwingung der Frequenz  {\fontname{Courier}f}  
%  zeigt, welche mit der Frequenz  {\fontname{Courier}fs}  abgetastet wird.  In rot wird eine andere 
%  Sinusschwingung gezeigt, die ebenfalls durch alle Abtastpunkte verluft, und 
%  zwar diejenige mit der tiefsten Frequenz:
%
abtast(10,3.7)
%
%  Solange die Abtastfrequenz  {\fontname{Courier}f_s}  ({\fontname{Courier}fs} in MATLAB) grsser als die doppelte 
%  Sinusfrequenz  {\fontname{Courier}f}  ist, ist die Frequenz der roten Schwingung (sog. Alias) 
%  grsser als die sog.   {\fontname{Courier}Nyquist-Frequenz = f_s/2}.
%  
abtast(10,4.7)
%
abtast(10,5.5)
%
abtast(10,8.1)
%
abtast(10,13.1)
%
%
%  Die MATLAB-Funktion  sampling  demonstriert verschiedene Aliasschwingungen 
%  fr je eine Sinusschwingung:
%
sampling;
%
%  Auch diese Funktion hat mehrere Parameter:
%
help sampling  
%% (siehe Kommandofenster)
%
%  Es lassen sich damit verschiedene Flle durchspielen, z.B.:
%
sampling(10,1,0.9,0.3);
%
%
