%
%
%9.3  Abtasttheorem %<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>%
%
%
%
%  In diesem Abschnitt soll bewiesen werden, dass der Verlauf einer 
%  zeitkontinuierlichen Funktion eindeutig festgelegt ist durch quidistante 
%  Abtastwerte dieser Funktion, sofern eine passende Bandbegrenzung vorliegt.
%
%  Wir setzen also voraus, dass die Fouriertransformierte  {\fontname{Courier}F(\omega)}  der 
%  zeitkontinuierlichen Funktion  {\fontname{Courier}f(t)}  verschwindet oberhalb einer 
%  Grenzfrequenz  {\fontname{Courier}f_{ny}}  , die wir Nyquist-Frequenz nennen wollen. 
%  Da blicherweise im Frequenzbereich anstelle der Frequenz  {\fontname{Courier}f}  die 
%  Winkelgeschwindigkeit  {\fontname{Courier}\omega}  genommen wird, setzen wir noch
%
%  \omega_{ny} = 2 \pi f_{ny}                                   %<'FontName',MSVFORMFONT>
%
%  Damit lautet unsere Voraussetzung
%
%  F(\omega) = 0   fr  |\omega| \geq \omega_{ny}               %<'FontName',MSVFORMFONT>
%
%  Zum Beweis unserer Behauptung konstruieren wir die periodische Fortsetzung  {\fontname{Courier}F_p(\omega)}  
%  der Fouriertransformierten  {\fontname{Courier}F(\omega)} :
%
%  F_p(\omega + k \omega_{ny}) = F(\omega)      fr  |\omega| \leq \omega_{ny} %<'FontName',MSVFORMFONT>
%                             und  k = 0, +1, -1, +2, -2, +3, -3, ...  %<'FontName',MSVFORMFONT>
%
%  Wegen der Periodizitt von  {\fontname{Courier}F_p(\omega)}  lsst sich  {\fontname{Courier}F_p}  als Fourierreihe schreiben:
%
%           \infty                            %<'FontName',MSVFORMFONT>
%  F_p(\omega) = _{\fontsize{26}\Sigma} C_\mu e^{i \mu \pi \omega / \omega_{ny}}      %<'FontName',MSVFORMFONT>
%         \mu=-\infty                         %<'FontName',MSVFORMFONT>
%  mit
%                 \omega_{ny}  %<'FontName',MSVFORMFONT>
%  C_\mu = 1/(2\omega_{ny})  _{\fontsize{24}\int}   F_p(\omega)  e^{i \pi \mu \omega / \omega_{ny}}  d\omega %<'FontName',MSVFORMFONT>
%                -\omega_{ny}  %<'FontName',MSVFORMFONT>
%
%  Als Abkrzung definieren wir die Zeitspanne
%
%  T = \pi / \omega_{ny}
%
%  Damit haben wir
%           \infty                                \omega_{ny}%<'FontName',MSVFORMFONT>
%  F_p(\omega) = _{\fontsize{26}\Sigma} C_\mu e^{i\mu\omegaT}      {\fontname{times}wo}   C_\mu = 1/(2\pi) _{\fontsize{24}\int}   F_p(\omega) e^{i\mu\omegaT}  d\omega%<'FontName',MSVFORMFONT>
%         \mu=-\infty                             -\omega_{ny}%<'FontName',MSVFORMFONT>
%
%  Diesen Ausdruck vergleichen wir mit dem Ausdruck der inversen Fouriertransformation von  {\fontname{Courier}F(\omega)}  ,
%  in dem wir wegen   {\fontname{Courier}F_p(\omega) = F(\omega)}   fr   {\fontname{Courier}|\omega| \leq \omega_{ny}}   und   {\fontname{Courier}F(\omega) = 0}    fr   {\fontname{Courier}|\omega| \geq \omega_{ny}}
%  noch  {\fontname{Courier}F}  durch  {\fontname{Courier}F_p}  ersetzen und dann nur von  {\fontname{Courier}-\omega_{ny}}  bis  {\fontname{Courier}+\omega_{ny}}  integrieren:
%                 \infty  %<'FontName',MSVFORMFONT>
%  f(t) = 1/(2\pi)  _{\fontsize{24}\int}   F(\omega)  e^{i\omegat}  d\omega %<'FontName',MSVFORMFONT>
%                -\infty  %<'FontName',MSVFORMFONT>
%                 \omega_{ny}  %<'FontName',MSVFORMFONT>
%       = 1/(2\pi)  _{\fontsize{24}\int}   F_p(\omega)  e^{i\omegat}  d\omega %<'FontName',MSVFORMFONT>
%                -\omega_{ny}  %<'FontName',MSVFORMFONT>
%
%  Der Vergleich ergibt
%
%  C_\mu = T f(-\muT)   %<'FontName',MSVFORMFONT>
%
%  Offenbar sind die  {\fontname{Courier}C_{\mu}}  vollstndig bestimmt durch die Abtastungen von  {\fontname{Courier}f}  zu 
%  den diskreten Zeitpunkten  {\fontname{Courier}-\muT}.
%
%  Das Resultat setzen wir oben ein in die Fourierreihe von  {\fontname{Courier}F_p(\omega)}  und erhalten
%
%           \infty                            %<'FontName',MSVFORMFONT>
%  F_p(\omega) = _{\fontsize{26}\Sigma}  T f(-\muT) e^{i\mu\omegaT} %<'FontName',MSVFORMFONT>
%         \mu=-\infty                         %<'FontName',MSVFORMFONT>
%
%  Dieses wiederum eingesetzt in den umgewandelten Ausdruck der inversen 
%  Fouriertransformierten von  {\fontname{Courier}F(\omega)}  liefert
%                 \omega_{ny}   \infty  %<'FontName',MSVFORMFONT>
%  f(t) = 1/(2\pi)  _{\fontsize{24}\int}     _{\fontsize{26}\Sigma}  T f(-\muT) e^{i\mu\omegaT}  e^{i\omegat}  d\omega %<'FontName',MSVFORMFONT>
%                -\omega_{ny}  \mu=-\infty %<'FontName',MSVFORMFONT>
%
%  und nach Vertauschung von Integral und Summe sowie Verschieben der Konstanten vor
%  das Integral
%                 \infty            \omega_{ny}            %<'FontName',MSVFORMFONT>
%  f(t) = 1/(2\pi) _{\fontsize{26}\Sigma}  f(-\muT) T  _{\fontsize{24}\int}   e^{i\omega(t+\muT)}  d\omega %<'FontName',MSVFORMFONT>
%               \mu=-\infty          -\omega_{ny}          %<'FontName',MSVFORMFONT>
%
%  Das Integral berechnen wir symbolisch mit MATLAB:
%
syms('w','t','mu','T','wny');        % symbolische Variable
y = int(exp(i*w*(t+mu*T)),'w');      % unbestimmtes Integral
z = subs(y,w,wny) - subs(y,w,-wny);  % bestimmtes Integral
pretty(simple(z))                    % Ausgabe im Kommandofenster
%
%%  Das Resultat  (2*sin(wny*(t+mu*T))/(t+mu*T))  wird im Kommandofenster ausgegeben.
%
%  Mit   {\fontname{Courier}sinc(x) = sin(\pix)/\pix}   und   {\fontname{Courier}\omega_{ny} = \pi/T}   ergibt sich dann
%          \infty      %<'FontName',MSVFORMFONT>
%  f(t) = _{\fontsize{26}\Sigma}  f(-\muT) sinc(t/T + \mu)  %<'FontName',MSVFORMFONT>
%        \mu=-\infty   %<'FontName',MSVFORMFONT>
%
%  Der sthetik halber vertauschen wir noch das Vorzeichen von  {\fontname{Courier}\mu} : 
%          \infty      %<'FontName',MSVFORMFONT>
%  f(t) = _{\fontsize{26}\Sigma}  f(\muT) sinc(t/T - \mu)  %<'FontName',MSVFORMFONT>
%        \mu=-\infty   %<'FontName',MSVFORMFONT>
%
%  {\fontname{Courier}f(t)}  lsst sich also schreiben als eine Entwicklung nach {\fontname{Courier}sinc}-Funktionen, in der 
%  nur die diskreten Abtastungen  {\fontname{Courier}f(\muT)}  vorkommen.  Damit ist die Behauptung 
%  bewiesen.  Darberhinaus liefert die letzte Beziehung auch eine Vorschrift zur 
%  korrekten Rekonstruktion der kontinuierlichen Funktion aus den Abtastwerten.
%  Die folgende Graphik erlutert die Reihenentwicklung:  Durch jeden Abtastwert {\fontname{Courier}f(\muT)}
%  wird die zugehrige Funktion  {\fontname{Courier}f(\muT) sinc(t/T - \mu)}  gelegt.  Die Nullstellen 
%  dieser Funktion liegen gerade an allen anderen Abtastpunkten. Eine der Teilfunktionen 
%  ist der Deutlichkeit halber in rot gezeichnet, die anderen in blau und die Summe grn:
%
nyquistinterpol;
%
%  Der zeitliche Abstand benachbarter Abtastungen ist  {\fontname{Courier}T} .  Die Abtastfrequenz ist damit
%
%  f_s = 1/T = \omega_{ny}/\pi = 2 f_{ny}  %<'FontName',MSVFORMFONT>
%
%  Die Abtastfrequenz muss also doppelt so gross sein wie die Nyquistfrequenz.
%