function s = ur(uu1,rr2)
% s = ur(uu1,rr2)
% Spannungsquelle und Widerstand

if nargin<2  rr2 = 200; end
if nargin<1  uu1 =   5; end

syms u1 r2                   % symbolische Variable
   
%    u1    i1    u2    i2    % Spaltenzuordnung

a = [ 1,    0,    0,    0;   % Spannungsquelle
      0,    0,    1,  -r2;   % Widerstand
     -1,    0,    1,    0;   % Masche
      0,    1,    0,   -1;   % Knoten 1
      0,   -1,    0,    1 ]  % Knoten 2
   
b = [ u1;                    % Spannung
       0;
       0;
       0;
       0]
   
x = (a^-1)*b                 % Lsung
   
u1 = uu1;                    % Zuweisung
r2 = rr2;                    % aktueller Werte

y = eval(x);                 % numerische Werte

for k=1:2
   s(k,:) = sprintf('U%d=%+5.3f V   I%d=%+4.3f A\n',k,y(2*k-1),k,y(2*k));
end